Page MenuHomePhabricator

Enable language variants support for summary
Closed, ResolvedPublic

Description

Prior to deploying language variants support for the summary endpoint, here's the checklist of dependencies:

  • Verify page previews set Accept-Language T185139
  • Verify VE sets Accept-Language T198186
  • Verify apps set Accept-Language (verified on the sync up meeting)
  • Verify feeds and reading lists DO NOT forward Accept-Language to summary during hydration. We do not store the summaries and generating them on-the-fly for hydration of the feeds would be prohibitively expencive.

Event Timeline

Pchelolo triaged this task as High priority.Jun 29 2018, 10:20 AM
Pchelolo created this task.
bearND added a subscriber: bearND.Jul 10 2018, 10:16 PM
Pchelolo updated the task description. (Show Details)Jul 19 2018, 1:05 PM

Mentioned in SAL (#wikimedia-operations) [2018-07-30T19:20:55Z] <ppchelko@deploy1001> Started deploy [restbase/deploy@9f9685b] (dev-cluster): Language variants for summaries T198465

Mentioned in SAL (#wikimedia-operations) [2018-07-30T19:24:00Z] <ppchelko@deploy1001> Finished deploy [restbase/deploy@9f9685b] (dev-cluster): Language variants for summaries T198465 (duration: 03m 05s)

Mentioned in SAL (#wikimedia-operations) [2018-07-30T19:26:03Z] <ppchelko@deploy1001> Started deploy [restbase/deploy@9f9685b]: Language variants for summaries T198465

Mentioned in SAL (#wikimedia-operations) [2018-07-30T19:40:35Z] <ppchelko@deploy1001> Finished deploy [restbase/deploy@9f9685b]: Language variants for summaries T198465 (duration: 14m 31s)

Mentioned in SAL (#wikimedia-operations) [2018-07-30T19:40:52Z] <ppchelko@deploy1001> Started deploy [restbase/deploy@9f9685b]: Language variants for summaries T198465 attempt 2

Mentioned in SAL (#wikimedia-operations) [2018-07-30T19:45:58Z] <ppchelko@deploy1001> Finished deploy [restbase/deploy@9f9685b]: Language variants for summaries T198465 attempt 2 (duration: 05m 06s)

Mentioned in SAL (#wikimedia-operations) [2018-07-30T19:47:27Z] <ppchelko@deploy1001> Started deploy [restbase/deploy@9f9685b]: Language variants for summaries T198465 attempt 3

Mentioned in SAL (#wikimedia-operations) [2018-07-30T19:53:52Z] <ppchelko@deploy1001> Finished deploy [restbase/deploy@9f9685b]: Language variants for summaries T198465 attempt 3 (duration: 06m 25s)

Pchelolo closed this task as Resolved.Jul 30 2018, 8:00 PM

The support was deployed. Resolving.